# Ogre::CompositorInstance::RenderSystemOperation Class Reference

Specific render system operation. More...

`#include <OgreCompositorInstance.h>`

List of all members.

## Public Member Functions

virtual | ~RenderSystemOperation ()
virtual void | execute (SceneManager *sm, RenderSystem *rs)=0
| Set state to SceneManager and RenderSystem.

## Detailed Description

Specific render system operation.

A render target operation does special operations between render queues like rendering a quad, clearing the frame buffer or setting stencil state.

Definition at line 80 of file OgreCompositorInstance.h.

## Constructor & Destructor Documentation

virtual Ogre::CompositorInstance::RenderSystemOperation::~RenderSystemOperation | ( |  | ) | `[virtual]`

## Member Function Documentation

virtual void Ogre::CompositorInstance::RenderSystemOperation::execute | ( | SceneManager * | sm,
|  | RenderSystem * | rs |
| ) |  |  | `[pure virtual]`

Set state to SceneManager and RenderSystem.

The documentation for this class was generated from the following file:

- OgreCompositorInstance.h

Copyright © 2000-2005 by The OGRE Team
This work is licensed under a Creative Commons Attribution-ShareAlike 2.5 License.
Last modified Sat May 10 16:25:32 2008